Summary:        Core part of Jackson
Name:           jackson-core
Version:        2.14.2
Release:        5%{?dist}
License:        ASL 2.0

URL:            https://github.com/FasterXML/jackson-core
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: maven-local mvn(com.fasterxml.jackson:jackson-base:pom:) >= %{version} mvn(com.google.code.maven-replacer-plugin:replacer)

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Core part of Jackson that defines Streaming API as well
as basic shared abstractions.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%pom_remove_plugin ":maven-enforcer-plugin"
%pom_remove_plugin "org.jacoco:jacoco-maven-plugin"
%pom_remove_plugin "org.moditect:moditect-maven-plugin"
%pom_remove_plugin "de.jjohannes:gradle-module-metadata-maven-plugin"
 
%pom_add_plugin "org.apache.felix:maven-bundle-plugin" . "<extensions>true</extensions>"
 
cp -p src/main/resources/META-INF/NOTICE .
sed -i 's/\r//' LICENSE NOTICE

%mvn_file : %{name}

%build
%mvn_build -f -j

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc README.md release-notes/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14.2-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14.2-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 cunshunxia <cunshunxia@tencent.com> - 2.14.2-1
- initial build
